Bug 160038 - [NEW PORT] devel/p5-AnyEvent-I3 - communicate with the i3 window manager
Summary: [NEW PORT] devel/p5-AnyEvent-I3 - communicate with the i3 window manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-23 22:20 UTC by Aldis Berjoza
Modified: 2011-08-26 14:13 UTC (History)
0 users

See Also:


Attachments
file.shar (2.23 KB, text/plain)
2011-08-23 22:20 UTC, Aldis Berjoza
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2011-08-23 22:20:08 UTC
AnyEvent::I3 - This module connects to the i3 window manager using the UNIX
socket based IPC interface it provides (if enabled in the configuration file).
You can then subscribe to events or send messages and receive their replies.

WWW: http://search.cpan.org/dist/AnyEvent-I3/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-23 22:20:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Steven Kreuzer freebsd_committer 2011-08-25 04:18:01 UTC
Responsible Changed
From-To: perl->skreuzer

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-08-26 14:07:24 UTC
skreuzer    2011-08-26 13:07:15 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
    devel/p5-TheSchwartz-Simple pkg-descr 
  Added files:
    devel/p5-AnyEvent-I3 Makefile distinfo pkg-descr pkg-plist 
  Log:
  AnyEvent::I3 is a perl module that connects to the i3 window manager using the UNIX
  socket based IPC interface it provides.  You can then subscribe to events or send
  messages and receive their replies.
  
  WWW:    http://search.cpan.org/dist/AnyEvent-I3/
  
  PR:             ports/160038
  Submitted by:   Aldis Berjoza <aldis@bsdroot.lv>
  
  Revision  Changes    Path
  1.4520    +1 -0      ports/devel/Makefile
  1.1       +24 -0     ports/devel/p5-AnyEvent-I3/Makefile (new)
  1.1       +2 -0      ports/devel/p5-AnyEvent-I3/distinfo (new)
  1.1       +5 -0      ports/devel/p5-AnyEvent-I3/pkg-descr (new)
  1.1       +5 -0      ports/devel/p5-AnyEvent-I3/pkg-plist (new)
  1.2       +1 -1      ports/devel/p5-TheSchwartz-Simple/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Steven Kreuzer freebsd_committer 2011-08-26 14:13:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!